package com.infoepoch.pms.dispatchassistant.domain.oa;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class OaCriteria {

    // 定时任务调用标识
    private Boolean schedulingFlag;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startLastUpdateDate;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endLastUpdateDate;
    private String employeeNumber;
    private String orgCode;

    public Boolean getSchedulingFlag() {
        return schedulingFlag != null && schedulingFlag;
    }

    public void setSchedulingFlag(Boolean schedulingFlag) {
        this.schedulingFlag = schedulingFlag;
    }

    public Date getStartLastUpdateDate() {
        return startLastUpdateDate;
    }

    public void setStartLastUpdateDate(Date startLastUpdateDate) {
        this.startLastUpdateDate = startLastUpdateDate;
    }

    public Date getEndLastUpdateDate() {
        return endLastUpdateDate;
    }

    public void setEndLastUpdateDate(Date endLastUpdateDate) {
        this.endLastUpdateDate = endLastUpdateDate;
    }

    public String getEmployeeNumber() {
        return employeeNumber;
    }

    public void setEmployeeNumber(String employeeNumber) {
        this.employeeNumber = employeeNumber;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }
}
